come posso installare pspell in php5 / ubuntu?

Sto cercando di installare pspell per PHP 5 in Ubuntu. Ho installato la libreria di aspell che è richiesta per eseguire pspell come mostrato qui

Non sono sicuro se ci sono delle impostazioni che devo cambiare, ecc.

Quando provo ad eseguire la row di codice sotto menzionata

$pspell_link = pspell_new("en");

Ottengo un errore

Fatal error: Call to undefined function pspell_new()

Qualche idea su cosa potrebbe essere sbagliato?

Qualsiasi aiuto molto apprezzato.

basta fare

 sudo apt-get install libpspell-dev sudo apt-get install php5-pspell sudo apt-get install aspell-en 

quindi riavvia il tuo server apache2 con il seguente command

 sudo service apache2 restart 

sarà aggiunto automaticamente al tuo php.ini

puoi provare questo esempio

"Ho installato la libreria di aspell che è necessaria per eseguire pspell come mostrato qui"

  • è così se compilate il vostro PHP – vi siete ricompilati con pspell?

Nota che questo pacchetto fornisce solo API e dati, stai ricevendo un errore perché il tuo PHP non sa come interfacerlo con esso.

Se non vuoi creare il tuo codice, l'estensione PHP è disponibile come pacchetto:

(NB questo è SOLO il lato PHP del servizio)

http://packages.ubuntu.com/source/dapper/php-pspell

C.

Hai configurato php.ini per caricare l'estensione?